Subject: [RFC 08/17] ARM: mvebu: remove custom .init_time hook

From: [email-masked] (Gregory CLEMENT)
Date: Fri, 23 Aug 2013 16:34:41 +0200

On 23/08/2013 16:23, Gregory CLEMENT wrote:
> On 23/08/2013 14:13, Sebastian Hesselbarth wrote:
>> On 08/23/13 13:39, Gregory CLEMENT wrote:
>>> On 23/08/2013 12:32, Sebastian Hesselbarth wrote:
>>>> On 08/23/13 12:06, Gregory CLEMENT wrote:
>>>>> On 20/08/2013 04:04, Sebastian Hesselbarth wrote:
>>>>>> With arch/arm calling of_clk_init(NULL) from time_init(), we can now
>>>>>> remove custom .init_time hooks.
>>>>>
>>>>> As a feared it won't work on Armada XP. You moved coherency_init(), and
>>>>> l2x0_of_init() in the init_machine hook. However init_machine is an
>>>>> arch_initcall, and as all the initcall it is called at the end of the
>>>>> do_basic_setup() which is called after smp_prepare_cpus(). The issue is
>>>>> that smp_prepare_cpus need coherency (and I think L2 cache) already enable.
>>>>
>>>> Ok, I see. I remember mvebu smp relies on mbus mappings also? Can you
>>>> try below as replacement for the mach-mvebu/armada-370-xp.c changes?
>>>>
>>>> It will move coherency_init(), l2x0_of_init(), and mvebu_mbus_dt_init()
>>>> to .init_early hook.
>>>>
>>>
>>> I can't test it, because I don't receive the patch 1 and 2 neither directly
>>> or through linux-arm-kernel (it should have been bounced), or even at
>>> https://github.com/shesselba/linux-dove.git
>>>
>>> If you don't want to send them again, could you at least push our branch on your
>>> github?
>>
>> Gregory,
>>
>> I pushed a branch containing the latest state to
>> https://github.com/shesselba/linux-dove.git arm-clk-of-init
>>
>> It still contains the changes to drivers/clk.c, that will become
>> obsolete, if there are no objections against Stephen's tegra patch.
>>
> 
> I tested your branch on my Armada XP boards (the GP and the AX3), and it hanged
> very early: before that anything was displayed by the early_printk!
> 
> init_early is maybe called too early :(

Well actually next-20130822 don't boot. So I can't say if your changes are ok.

> 
>> Sebastian
>>
>>
>> _______________________________________________
>> linux-arm-kernel mailing list
>> linux-arm-kernel at lists.infradead.org
>> http://lists.infradead.org/mailman/listinfo/linux-arm-kernel
>>
> 
> 

-- 
Gregory Clement, Free Electrons
Kernel, drivers, real-time and embedded Linux
development, consulting, training and support.
http://free-electrons.com